From 55ea29e283707a35f0ea9ac1a7ab432e6567fd9e Mon Sep 17 00:00:00 2001
From: root <root@tcsia13.intinfra.com>
Date: Wed, 1 Apr 2009 16:09:44 +0200
Subject: [PATCH] rename with same name does nothing instead of deleting object

---
 cobbler/collection.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

diff --git a/cobbler/collection.py b/cobbler/collection.py
index b895ac6..f79398c 100644
--- a/cobbler/collection.py
+++ b/cobbler/collection.py
@@ -170,6 +170,10 @@ class Collection(serializable.Serializable):
         of the object tree. 
         """
 
+        # Nothing to do when it is the same name
+        if newname == ref.name:
+            return True
+            
         # make a copy of the object, but give it a new name.
         oldname = ref.name
         newref = ref.make_clone()
-- 
1.5.4.7

